Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver.implementations
Class ResolverDirectHTTP

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolverSpi
          org.apache.xml.security.utils.resolver.implementations.ResolverDirectHTTP

    public class ResolverDirectHTTP

extends ResourceResolverSpi

A simple ResourceResolver for HTTP requests. This class handles only 'pure' HTTP URIs which means without a fragment. The Fragment handling is done by the `ResolverFragment` class.
If the user has a corporate HTTP proxy which is to be used, the usage can be switched on by setting properties for the resolver:

     resourceResolver.setProperty("http.proxy.host", "proxy.company.com");
     resourceResolver.setProperty("http.proxy.port", "8080");

     // if we need a password for the proxy
     resourceResolver.setProperty("http.proxy.username", "proxyuser3");
     resourceResolver.setProperty("http.proxy.password", "secretca");

See Also:
  Java Tip 42: Write Java apps that work with proxy-based firewalls, SUN J2SE docs for network properties, The JAVA FAQ Question 9.5: How do I make Java work with a proxy server?

Field Summary

Fields inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`secureValidation`

Constructor Summary
`ResolverDirectHTTP()`

Method Summary
`boolean` | `engineCanResolveURI(ResourceResolverContext context)` We resolve http URIs without fragment...
`java.lang.String[]` | `engineGetPropertyKeys()` Method engineGetPropertyKeys
`boolean` | `engineIsThreadSafe()` Tells if the implementation does can be reused by several threads safely.
`XMLSignatureInput` | `engineResolveURI(ResourceResolverContext context)` Method resolve

Methods inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`engineAddProperies, engineCanResolve, engineGetProperty, engineResolve, engineSetProperty, fixURI, understandsProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolverDirectHTTP

    public ResolverDirectHTTP()

Method Detail

### engineIsThreadSafe

    public boolean engineIsThreadSafe()

  Description copied from class: `ResourceResolverSpi`
  Tells if the implementation does can be reused by several threads safely. It normally means that the implementation does not have any member, or there is member change between engineCanResolve & engineResolve invocations. Or it maintains all member info in ThreadLocal methods.

  Overrides:
    `engineIsThreadSafe` in class `ResourceResolverSpi`

### engineResolveURI

    public XMLSignatureInput engineResolveURI(ResourceResolverContext context)
                                       throws ResourceResolverException

  Method resolve

  Overrides:
    `engineResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    $todo$ calculate the correct URI from the attribute and the baseURI
  Throws:
    `ResourceResolverException`

### engineCanResolveURI

    public boolean engineCanResolveURI(ResourceResolverContext context)

  We resolve http URIs without fragment...

  Overrides:
    `engineCanResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    true if can be resolved

### engineGetPropertyKeys

    public java.lang.String[] engineGetPropertyKeys()

  Description copied from class: `ResourceResolverSpi`
  Method engineGetPropertyKeys

  Overrides:
    `engineGetPropertyKeys` in class `ResourceResolverSpi`
  Returns:
    the property keys

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD